#include <iostream>

using namespace std;

int main ()
{

    long long l;
    long long m;
    long long n;
    long long br = 0;
    long long s = 0;
    long long k = 0;
    long long a = k;

    cin >> l >> m >> n;

    do
    {
        for (int i = m; i <= l; i += n)
        {
            s += i;

            br ++;
        }
    }
    while (s <= l);

    cout << br - 1;


    return 0;
}



